Subject: Re: [sipcore] [Sip] Draft new version: draft-holmberg-sipcore-keep-00 (previouslyknown as draft-holmberg-sip-keep)

From: "Christer Holmberg" <[email-masked]>
Date: Mon, 4 May 2009 12:08:44 +0200

Hi Shaun, 

>> When a UAS that supports the method defined in this specification
>> recieves an initial SIP request which contains a "keep" parameter in
>> the topmost Via header, and the UAS wants to allow the sender of the
>> initial SIP request to send keep-alives towards the UAS during the
>> duration of the call, the UAS proxy MUST add a "yes" value to the
>> "keep" parameter.  In addition the UAS MAY include a Flow-Timer
>> header field if the associated initial SIP response.
>
>Which response is this text referring to when this is for a call?
>Does this include the 100 trying? If in the 100 trying, does the keep
need to be in all responses to the INVITE? WHat about the Flow-Timer?
>
>The reason I'm asking is that 100 trying is often generated at a very
different place than the other responses. It may or may not be feasible
to provide the relevant information in that response.
>I'm trying to understand the intent...

The keep-alives are always sent between two entities communicating
directly with each other (we don't expect SIP proxies for forward STUN
requests etc).

Also, the parameter is inserted in the Via of the request, so it will be
copied into whatever response is generated based on the request.

Regards,

Christer

-----Original Message-----
From: [email-masked] on behalf of Christer Holmberg
Sent: Thu 4/16/2009 4:31 AM
To: [email-masked]; [email-masked]
Cc: Adam Roach; Gonzalo Camarillo; Mary Barnes
Subject: [Sip] Draft new version: draft-holmberg-sipcore-keep-00
(previouslyknown as draft-holmberg-sip-keep)

Hi,

I've submitted a draft-holmberg-sipcore version of the keep draft.

The draft is identical to the previous version (for which Mary sent out
the ask-for-support e-mail), but I have added one more example.

The draft can also be found at:

http://users.piuha.net/cholmber/drafts/draft-holmberg-sipcore-keep-00.tx
t

Regards,

Christer

Ps. I applogize for sending this e-mail to both SIP and SIPCORE, but
since everyone may not have subscribed to SIPCORE yet...

---

From: "Bharrat, Shaun" <[email-masked]>
Date: Mon, 4 May 2009 08:44:42 -0400

Christer:

> Also, the parameter is inserted in the Via of the request, so 
> it will be copied into whatever response is generated based 
> on the request.

I understand that the parameter itself will be copied back. What I
am wondering is whether it needs to be set to "yes" in every 
response or can this work if it is set to "yes" in the final response
but not necessarily in the 100 or provisionals.

Support of this functionality is not necessarily global (within
a box). There are architectures where it will not be possible to know
whether support is enabled for that peer at the time or place that 
the 100 is sent. If no one else envisions a problem along those lines, 
then I guess my concern is moot.  

Cheers,
Shaun

> From: Christer Holmberg [mailto:[email-masked]] 
> Sent: Monday, May 04, 2009 6:09 AM
> To: Bharrat, Shaun; [email-masked]
> Subject: RE: [Sip] Draft new version: 
> draft-holmberg-sipcore-keep-00 (previouslyknown as 
> draft-holmberg-sip-keep)
> 
> 
> Hi Shaun, 
> 
> different place than the other responses. It may or may not 
> be feasible to provide the relevant information in that response.
> The keep-alives are always sent between two entities 
> communicating directly with each other (we don't expect SIP 
> proxies for forward STUN requests etc).
> 
> Also, the parameter is inserted in the Via of the request, so 
> it will be copied into whatever response is generated based 
> on the request.
> 
> Regards,
> 
> Christer
> 
> 
> 
> 
> Subject: [Sip] Draft new version: 
> draft-holmberg-sipcore-keep-00 (previouslyknown as 
> draft-holmberg-sip-keep)
>  
> 
> Hi,
> 
> The draft is identical to the previous version (for which 
> Mary sent out the ask-for-support e-mail), but I have added 
> one more example.
> 
> Ps. I applogize for sending this e-mail to both SIP and 
> SIPCORE, but since everyone may not have subscribed to SIPCORE yet...
> 
> 
> 
> 
> 
>

---

From: "Christer Holmberg" <[email-masked]>
Date: Mon, 4 May 2009 22:18:56 +0200

Hi, 

>>Also, the parameter is inserted in the Via of the request, so it will
be copied into whatever response is generated based on the request.
>
>I understand that the parameter itself will be copied back. What I am
wondering is whether it needs to be set to "yes" in every response or
can this work if it is set to "yes" in the final response but 
>not necessarily in the 100 or provisionals.
>
>Support of this functionality is not necessarily global (within a box).
There are architectures where it will not be possible to know whether
support is enabled for that peer at the time or place that 

Since 100 responses are hop-to-hop, they are always generated by the
UAS, so I guess the UAS could choose not to insert a "yes" value in the
received Via when creating the response. We don't use 100 for other
types of negotiations either, so I see no harm in not inserting "yes" in
the 100 response, but still insert it in the forwarded request so it
will be present in all other responses, generated by the remote
endpoint.

Regards,

Christer

> different place than the other responses. It may or may not be 
> feasible to provide the relevant information in that response.

> requests etc).
> 
> Also, the parameter is inserted in the Via of the request, so it will 
> be copied into whatever response is generated based on the request.
> 
> Regards,
> 
> Christer
> 
> 
> 
> 
> The draft is identical to the previous version (for which Mary sent 
> out the ask-for-support e-mail), but I have added one more example.
>